Package twisted :: Package spread :: Module jelly :: Class DummySecurityOptions

[show private | hide private]
[frames | no frames]

## Class DummySecurityOptions

DummySecurityOptions() -> insecure security options Dummy security options -- this class will allow anything.

Method Summary
| ``isClassAllowed`(self, klass)` DummySecurityOptions.isClassAllowed(class) -> boolean Assumes the module has already been allowed.
| ``isModuleAllowed`(self, moduleName)` DummySecurityOptions.isModuleAllowed(moduleName) -> boolean returns 1 if a module by that name is allowed, 0 otherwise
| ``isTypeAllowed`(self, typeName)` DummySecurityOptions.isTypeAllowed(typeName) -> boolean Returns 1 if the given type is allowed, 0 otherwise.

Method Details

### isClassAllowed(self, klass)

DummySecurityOptions.isClassAllowed(class) -> boolean Assumes the module has already been allowed. Returns 1 if the given class is allowed, 0 otherwise.

### isModuleAllowed(self, moduleName)

DummySecurityOptions.isModuleAllowed(moduleName) -> boolean returns 1 if a module by that name is allowed, 0 otherwise

### isTypeAllowed(self, typeName)

DummySecurityOptions.isTypeAllowed(typeName) -> boolean Returns 1 if the given type is allowed, 0 otherwise.

Generated by Epydoc 1.1 on Sat Feb 15 21:18:12 2003 | http://epydoc.sf.net